Name:		itrustee_sdk
Version:	0.1.0
Release:	12
Summary:	Confidential computing framework for developing TA on itrustee OS
ExclusiveArch:  aarch64

Group:		OS Security
License:	MulanPSL-2.0
URL:		https://gitee.com/openeuler/itrustee_sdk
Source0:	https://gitee.com/openeuler/itrustee_sdk/repository/archive/v%{version}.tar.gz
Patch0:		0001-add-Makefile-to-create-libteec_adaptor.so.patch
Patch1:		0002-add-ftrapv-strip-and-FS-as-the-compiling-flags.patch
Patch2:		0003-no-copy-shared-memory.patch
Patch3:         0004-support-part-openssl-headers.patch
Patch4:         0005-support-remote-attestation.patch

Provides:       libteec_adaptor.so()(64bit)
%define debug_package %{nil}
%description
itrustee_sdk is a confidential computing framework for developing TA on itrustee OS

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
%description    devel
The %{name}-devel is package contains Header file for developing applications that
us %{name}

%prep
%autosetup -n %{name}-v%{version} -p1

%build
sed -i 's/fPIC/fPIC -g/g' Makefile
sed -i 's/\/opt\/itrustee_sdk/$(DESTDIR)\/opt\/itrustee_sdk/g' Makefile
sed -i 's/\/lib64/$(DESTDIR)\/lib64/g' Makefile
make 


%install
install -d %{buildroot}/opt/
install -d %{buildroot}/lib64/
install -d %{buildroot}/%{_sysconfdir}/secGear/cloud/
make install DESTDIR=%{buildroot}/
install -pm 644 build/signtools/cloud/rsa_public_key_cloud.pem %{buildroot}/%{_sysconfdir}/secGear/cloud

strip %{buildroot}/lib64/*.so

%files devel
%defattr(-,root,root)
/opt/itrustee_sdk
%{_sysconfdir}/secGear/cloud/rsa_public_key_cloud.pem


%files
%defattr(-,root,root)
/lib64/libteec_adaptor.so

%changelog
* Thu Apr 27 2023 houmingyong<houmingyong@huawei.com> - 0.1.0-12
- DESC: support remote attestation

* Tue Feb 28 2023 houmingyong<houmingyong@huawei.com> - 0.1.0-11
- DESC: support part openssl hearders

* Tue Nov 22 2022 gaoyusong<gaoyusong2@huawei.com> - 0.1.0-10
- DESC: Unified license name specification

* Tue Nov 22 2022 gaoyusong<gaoyusong2@huawei.com> - 0.1.0-9
- DESC: fix error source pkg

* Wed Aug 03 2022 zhengxiaoxiao<zhengxiaoxiao2@huawei.com> - 0.1.0-8
- DESC: split itrustee_sdk into itrustee_sdk and itrustee_sdk-devel

* Wed Aug 03 2022 wangyu<wangyu283@huawei.com> - 0.1.0-7
- DESC: support: no-copy shared memory

* Thu Jun 30 2022 gaoyusong<gaoyusong2@huawei.com> - 0.1.0-6
- DESC: add yaml file for itrustee_sdk

* Mon Jun 27 2022 gaoyusong<gaoyusong2@huawei.com> - 0.1.0-5
- DESC: add ftrapv, strip and FS as the compiling flags

* Thu Sep 9 2021 chenmaodong<chenmaodong@huawei.com> - 0.1.0-4
- DESC: install rsa public key to sysconfdir and fix some errors in spec
* Sat Sep 4 2021 zhangtao<zhangtao221g@huawei.com> - 0.1.0-3
- DESC: strip dynamic library
* Thu May 20 2021 houmingyong<houmingyong@huawei.com> - 0.1.0-2
- DESC: add libteec_adaptor.so()(64bit) as the provided symbol
* Sat May 8 2021 chenmaodong<chenmaodong@huawei.com> - 0.1.0-1
- DESC:init itrustee_sdk

